package CommonPacker;

use XmlNode;
use Logging;

sub normalizeCountry {
    my ($country) = @_;
    return 'RU' if $country eq 'SU';
    return 'GB' if $country eq 'UK';
    return $country;
}

# Converts 'crypt' -> 'encrypted'.
sub normalizePasswordType {
  my ($type) = @_;
  return "encrypted" if ( ($type eq "crypt") or ($type eq "encrypted") or ($type eq "md5") );
  return "empty" if $type eq "empty";
  return "plain";
}

sub makePasswordNode {
  my ($password, $type, $encoding) = @_;

  if (!defined $password) {
    Logging::error("'undef' password passed to makePasswordNode. Set to empty");
    $password = '';
  }

  if (!$password) {
    $type = 'plain';
  } else {
    if ($type ne 'plain') {
      $type = 'encrypted';
    }
  }

  my $passwordNode = XmlNode->new('password',
                                  'content' => $password,
                                  'attributes' => {'type' => $type});
  $passwordNode->setAttribute('encoding', $encoding) if defined $encoding;
  return $passwordNode;
}


1;